Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginModel

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginModel

    public class PluginModel

extends PluginSBase

This class wraps org.sbml.libsbml.Model for the plug-in.

Author:

Field Summary
`protected Model` | `modelBase`

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginModel(Model model)` Constructor

Method Summary
`void` | `addCompartment(PluginCompartment compartment)` Adds a PluginCompartment to the list.
`void` | `addCompartmentType(PluginCompartmentType compartmentType)`
`void` | `addConstraint(PluginConstraint constraint)`
`void` | `addEvent(PluginEvent event)` Adds the PluginEvent to the list.
`void` | `addFunctionDefinition(PluginFunctionDefinition function)` Adds a PluginFunctionDefinition to the list.
`void` | `addInitialAssignment(PluginInitialAssignment initialAssignment)`
`void` | `addParameter(PluginParameter parameter)` Adds the PluginParameter to the list.
`void` | `addReaction(PluginReaction reaction)` Adds a PluginReaction to the list.
`void` | `addRule(PluginRule rule)` Adds a PluginRule to the list.
`void` | `addSpecies(PluginSpecies species)` Adds a PluginSpecies to the list in this PluginModel.
`void` | `addSpeciesType(PluginSpeciesType speciesType)`
`void` | `addUnitDefinition(PluginUnitDefinition unit)` Adds a PluginUnitDefinition to the list.
`void` | `appendProtein(PluginProtein protein)` Adds the PluginProtein to the list.
`PluginAntiSenseRNA` | `getAntiSenseRNA(java.lang.String id)` Gets the PluginAntiSenseRNA with the given id.
`PluginCompartment` | `getCompartment(int index)` Gets the PluginCompartment with the given index.
`PluginCompartment` | `getCompartment(java.lang.String id)` Gets the PluginCompartment with the given id.
`PluginCompartmentType` | `getCompartmentType(int index)`
`PluginCompartmentType` | `getCompartmentType(java.lang.String id)`
`PluginConstraint` | `getConstraint(int index)`
`PluginConstraint` | `getConstraint(java.lang.String strMath)`
`PluginEvent` | `getEvent(int index)` Gets the PluginEvent with the given index.
`PluginEvent` | `getEvent(java.lang.String id)` Gets the PluginEvent with the given id.
`PluginFunctionDefinition` | `getFunctionDefinition(int index)` Gets the PluginFunctionDefinition with the given index.
`PluginFunctionDefinition` | `getFunctionDefinition(java.lang.String id)` Gets the PluginFunctionDefinition with the given id.
`PluginGene` | `getGene(java.lang.String id)` Gets the PluginGene with the given id.
`java.lang.String` | `getId()`
`PluginInitialAssignment` | `getInitialAssignment(int index)`
`PluginInitialAssignment` | `getInitialAssignment(java.lang.String symbol)`
`PluginListOf` | `getListOfAllSpeciesAlias()`
`PluginListOf` | `getListOfAllSpeciesAlias(java.lang.String speciesid)`
`PluginListOf` | `getListOfAntiSenseRNAs()`
`PluginListOf` | `getListOfCompartments()`
`PluginListOf` | `getListOfCompartmentTypes()`
`PluginListOf` | `getListOfConstraints()`
`PluginListOf` | `getListOfEvents()`
`PluginListOf` | `getListOfFunctionDefinitions()`
`PluginListOf` | `getListOfGenes()`
`PluginListOf` | `getListOfInitialAssignments()`
`PluginListOf` | `getListOfParameters()`
`PluginListOf` | `getListOfProteins()`
`PluginListOf` | `getListOfReactions()`
`PluginListOf` | `getListOfRNAs()`
`PluginListOf` | `getListOfRules()`
`PluginListOf` | `getListOfSpecies()`
`PluginListOf` | `getListOfSpecies(PluginAntiSenseRNA rna)`
`PluginListOf` | `getListOfSpecies(PluginGene rna)`
`PluginListOf` | `getListOfSpecies(PluginProtein rna)` Gets the list of PluginProtein added the given PluginProtein to.
`PluginListOf` | `getListOfSpecies(PluginRNA rna)`
`PluginListOf` | `getListOfSpeciesTypes()`
`PluginListOf` | `getListOfUnitDefinitions()`
`java.lang.String` | `getName()`
`int` | `getNumCompartments()`
`int` | `getNumCompartmentTypes()`
`int` | `getNumConstraints()`
`int` | `getNumEvents()`
`int` | `getNumFunctionDefinitions()`
`int` | `getNumInitialAssignments()`
`int` | `getNumParameters()`
`int` | `getNumReactions()`
`int` | `getNumRules()`
`int` | `getNumSpecies()`
`int` | `getNumSpeciesTypes()`
`int` | `getNumUnitDefinitions()`
`PluginParameter` | `getParameter(int index)` Gets the PluginParameter with the given index.
`PluginParameter` | `getParameter(java.lang.String id)` Gets the PluginParameter with the given id.
`PluginSpeciesAlias` | `getPluginSpeciesAlias(java.lang.String aliasID)` Gets PluginSpeciesAlias with the given id.
`PluginProtein` | `getProtein(java.lang.String id)` Gets the PluginProtein with the given id.
`java.lang.String` | `getPureSBMLString()`
`PluginReaction` | `getReaction(int index)` Gets the PluginReaction with the given index.
`PluginReaction` | `getReaction(java.lang.String id)` Gets the PluginReaction with the given id.
`PluginRNA` | `getRNA(java.lang.String id)` Gets the PluginRNA with the given id.
`PluginRule` | `getRule(int index)` Gets the PluginRule with the given index from the list.
`PluginSpecies` | `getSpecies(int index)` Gets the PluginSpecies with the given index.
`PluginSpecies` | `getSpecies(java.lang.String id)` Gets the PluginSpecies with the given id.
`PluginSpeciesType` | `getSpeciesType(int index)`
`PluginSpeciesType` | `getSpeciesType(java.lang.String id)`
`PluginUnitDefinition` | `getUnitDefinition(int index)` Gets the PluginUnitDefinition with the given index.
`PluginUnitDefinition` | `getUnitDefinition(java.lang.String id)` Gets the PluginUnitDefinition with the given id.
`boolean` | `isReferenceSameModel(PluginSBase any)`
`boolean` | `isSameModel(Model any)`
`void` | `removeAntiSenseRNA(int index)` Removes the PluginAntiSenseRNA with the given index from the list.
`void` | `removeAntiSenseRNA(PluginAntiSenseRNA rna)` Removes the given PluginAntiSenseRNA from the list.
`void` | `removeCompartment(int index)` Removes the PluginCompartment with the given index from the list.
`void` | `removeCompartment(PluginCompartment compartment)` Removes the given PluginCompartment from the list.
`void` | `removeCompartment(java.lang.String id)` Removes the PluginCompartment with the given id from the list.
`void` | `removeCompartmentType(int index)`
`void` | `removeCompartmentType(PluginCompartmentType compartmentType)`
`void` | `removeCompartmentType(java.lang.String id)`
`void` | `removeConstraint(int index)`
`void` | `removeConstraint(PluginConstraint constraint)`
`void` | `removeConstraint(java.lang.String strMath)`
`void` | `removeEvent(int index)` Removes the PluginEvent with the given index.
`void` | `removeEvent(PluginEvent event)` Removes the given PluginEvent from the list.
`void` | `removeEvent(java.lang.String id)` Remove the PluginEvent with the given id.
`void` | `removeFunctionDefinition(int index)` Removes the PluginFunctionDefinition with the given index from the list.
`void` | `removeFunctionDefinition(PluginFunctionDefinition function)` Removes the given PluginFunctionDefinition from the list.
`void` | `removeFunctionDefinition(java.lang.String id)` Removes the PluginFunctionDefinition with the given id from the list.
`void` | `removeGene(int index)` Removes the PluginGene with the given index from the list.
`void` | `removeGene(PluginGene rna)` Removes the given PluginGene from the list.
`void` | `removeInitialAssignment(int index)`
`void` | `removeInitialAssignment(PluginInitialAssignment initialAssignment)`
`void` | `removeInitialAssignment(java.lang.String symbol)`
`void` | `removeParameter(int index)` Removes the PluginParameter with the given index to the list.
`void` | `removeParameter(PluginParameter parameter)` Remove the given PluginParameter from the list.
`void` | `removeParameter(java.lang.String id)` Remove the PluginParameter with the given id.
`void` | `removeProtein(int index)` Removes the PluginProtein with the given index.
`void` | `removeProtein(PluginProtein rna)` Removes the given PluginProtein from the list.
`void` | `removeReaction(int index)` Removes the PluginReaction with the given index from the list.
`void` | `removeReaction(PluginReaction reaction)` Removes the given PluginReaction from the list.
`void` | `removeReaction(java.lang.String id)` Removes the PluginReaction with the given id from the list.
`void` | `removeRNA(int index)` Removes the PluginRNA with the given index from the list.
`void` | `removeRNA(PluginRNA rna)` Adds a PluginRNA to the list
`void` | `removeRule(int index)` Removes the PluginRule with the given index from the list.
`void` | `removeRule(PluginRule rule)` Removes the given PluginRule from the list.
`void` | `removeSpecies(int index)` Removes the PluginSpecies with the given index from the list.
`void` | `removeSpecies(java.lang.String id)` Removes the PluginSpecies with the given id from the list
`void` | `removeSpeciesType(int index)`
`void` | `removeSpeciesType(PluginSpeciesType speciesType)`
`void` | `removeSpeciesType(java.lang.String id)`
`void` | `removeUnitDefinition(int index)` Remove the PluginUnitDefinition with the given index from the list.
`void` | `removeUnitDefinition(PluginUnitDefinition unit)` Remove the given PluginUnitDefinition from the list.
`void` | `removeUnitDefinition(java.lang.String id)` Removes the PluginUnitDefinition with the given id from the list.
`void` | `setListOfAntiSenseRNAs(PluginListOf listOfAntiSenseRNAs)` Sets the list of PluginAntiSenseRNA of this PluginModel.
`void` | `setListOfCompartments(PluginListOf listOfCompartments)` Sets the list of PluginCompartment of this PluginModel
`void` | `setListOfCompartmentTypes(PluginListOf listOfCompartmentTypes)`
`void` | `setListOfConstraints(PluginListOf listOfConstraints)`
`void` | `setListOfEvents(PluginListOf listOfEvents)` Sets the list of PluginEvent of this PluginModel.
`void` | `setListOfFunctionDefinitions(PluginListOf listOfFunctionDefinitions)` Sets the list of PluginFunctionDefinition of this PluginModel.
`void` | `setListOfGenes(PluginListOf listOfGenes)` Sets the list of PluginGene of this PluginModel.
`void` | `setListOfInitialAssignments(PluginListOf listOfInitialAssignments)`
`void` | `setListOfParameters(PluginListOf listOfParameters)` Sets the list of PluginParameter of this PluginModel.
`void` | `setListOfProteins(PluginListOf listOfProteins)` Sets the list of PluginProtein of this PluginModel.
`void` | `setListOfReactions(PluginListOf listOfReactions)` Sets the PluginReaction of this PluginModel.
`void` | `setListOfRNAs(PluginListOf listOfRNAs)` Sets the list of PluginRNA of this PluginModel.
`void` | `setListOfRules(PluginListOf listOfRules)` Sets the list of PluginRule of this PluginModel.
`void` | `setListOfSpecies(PluginListOf listOfSpecies)` Sets the list of PluginSpecies of this PluginModel.
`void` | `setListOfSpeciesTypes(PluginListOf listOfSpeciesTypes)`
`void` | `setListOfUnitDefinitions(PluginListOf listOfUnitDefinitions)` Sets the list of PluginUnitDefinition of this PluginModel
`void` | `setName(java.lang.String name)` Sets the name of this PluginModel.
`void` | `toSBMLString()`
`void` | `update(PluginModel model)` Update all properties of this PluginModel to the same as the given PluginModel

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelBase

    protected Model modelBase

Constructor Detail

### PluginModel

    public PluginModel(Model model)

  Constructor

  Parameters:
    `id` -

Method Detail

### update

    public void update(PluginModel model)

  Update all properties of this PluginModel to the same as the given PluginModel

  Parameters:
    `model` - PluginModel

### toSBMLString

    public void toSBMLString()

### getId

    public java.lang.String getId()

  Returns:
    the id of this PluginModel.

### getPureSBMLString

    public java.lang.String getPureSBMLString()

  Returns:
    SBML Document in string.

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginModel.

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginModel.

  Parameters:
    `name` -

### getListOfCompartments

    public PluginListOf getListOfCompartments()

  Returns:
    the list of PluginCompartment of this PluginModel

### setListOfCompartments

    public void setListOfCompartments(PluginListOf listOfCompartments)

  Sets the list of PluginCompartment of this PluginModel

  Parameters:
    `listOfCompartments` - the list of PluginCompartment

### getListOfEvents

    public PluginListOf getListOfEvents()

  Returns:
    the list of PluginEvent

### setListOfEvents

    public void setListOfEvents(PluginListOf listOfEvents)

  Sets the list of PluginEvent of this PluginModel.

  Parameters:
    `listOfEvents` - the list of PluginEvent

### getListOfFunctionDefinitions

    public PluginListOf getListOfFunctionDefinitions()

  Returns:
    the list of PluginFunctionDefinition

### setListOfFunctionDefinitions

    public void setListOfFunctionDefinitions(PluginListOf listOfFunctionDefinitions)

  Sets the list of PluginFunctionDefinition of this PluginModel.

  Parameters:
    `listOfFunctionDefinitions` - the list of PluginFunctionDefinition

### getListOfParameters

    public PluginListOf getListOfParameters()

  Returns:
    the list of PluginParameter of this PluginModel.

### setListOfParameters

    public void setListOfParameters(PluginListOf listOfParameters)

  Sets the list of PluginParameter of this PluginModel.

  Parameters:
    `listOfParameters` - the list of PluginParameter

### getListOfReactions

    public PluginListOf getListOfReactions()

  Returns:
    the list of PluginReaction

### setListOfReactions

    public void setListOfReactions(PluginListOf listOfReactions)

  Sets the PluginReaction of this PluginModel.

  Parameters:
    `listOfReactions` - the list of PluginReaction.

### getListOfRules

    public PluginListOf getListOfRules()

  Returns:
    the list of PluginRule of this PluginModel.

### setListOfRules

    public void setListOfRules(PluginListOf listOfRules)

  Sets the list of PluginRule of this PluginModel.

  Parameters:
    `listOfRules` - the list of PluginRule

### getListOfSpecies

    public PluginListOf getListOfSpecies()

  Returns:
    the list of PluginSpecies

### setListOfSpecies

    public void setListOfSpecies(PluginListOf listOfSpecies)

  Sets the list of PluginSpecies of this PluginModel.

  Parameters:
    `listOfSpecies` - the listOfPluginSpecies

### getListOfUnitDefinitions

    public PluginListOf getListOfUnitDefinitions()

  Returns:
    the list of PluginUnitDefinition of this PluginModel.

### setListOfUnitDefinitions

    public void setListOfUnitDefinitions(PluginListOf listOfUnitDefinitions)

  Sets the list of PluginUnitDefinition of this PluginModel

  Parameters:
    `listOfUnitDefinitions` - the list of PluginUnitDefinition

### getListOfSpeciesTypes

    public PluginListOf getListOfSpeciesTypes()

### setListOfSpeciesTypes

    public void setListOfSpeciesTypes(PluginListOf listOfSpeciesTypes)

### getListOfCompartmentTypes

    public PluginListOf getListOfCompartmentTypes()

### setListOfCompartmentTypes

    public void setListOfCompartmentTypes(PluginListOf listOfCompartmentTypes)

### getListOfInitialAssignments

    public PluginListOf getListOfInitialAssignments()

### setListOfInitialAssignments

    public void setListOfInitialAssignments(PluginListOf listOfInitialAssignments)

### getListOfConstraints

    public PluginListOf getListOfConstraints()

### setListOfConstraints

    public void setListOfConstraints(PluginListOf listOfConstraints)

### addSpecies

    public void addSpecies(PluginSpecies species)

  Adds a PluginSpecies to the list in this PluginModel.

  Parameters:
    `species` - PluginSpecies

### removeSpecies

    public void removeSpecies(java.lang.String id)

  Removes the PluginSpecies with the given id from the list

  Parameters:
    `id` -

### removeSpecies

    public void removeSpecies(int index)

  Removes the PluginSpecies with the given index from the list.

  Parameters:
    `index` -

### getSpecies

    public PluginSpecies getSpecies(int index)

  Gets the PluginSpecies with the given index.

  Parameters:
    `index` -
  Returns:
    PluginSpecies

### getSpecies

    public PluginSpecies getSpecies(java.lang.String id)

  Gets the PluginSpecies with the given id.

  Parameters:
    `id` -
  Returns:
    PluginSpecies

### addCompartment

    public void addCompartment(PluginCompartment compartment)

  Adds a PluginCompartment to the list.

  Parameters:
    `compartment` -

### removeCompartment

    public void removeCompartment(PluginCompartment compartment)

  Removes the given PluginCompartment from the list.

  Parameters:
    `compartment` -

### removeCompartment

    public void removeCompartment(java.lang.String id)

  Removes the PluginCompartment with the given id from the list.

  Parameters:
    `id` -

### removeCompartment

    public void removeCompartment(int index)

  Removes the PluginCompartment with the given index from the list.

  Parameters:
    `index` -

### getCompartment

    public PluginCompartment getCompartment(int index)

  Gets the PluginCompartment with the given index.

  Parameters:
    `index` -
  Returns:
    PluginCompartment

### getCompartment

    public PluginCompartment getCompartment(java.lang.String id)

  Gets the PluginCompartment with the given id.

  Parameters:
    `id` -
  Returns:
    PluginCompartment

### addReaction

    public void addReaction(PluginReaction reaction)

  Adds a PluginReaction to the list.

  Parameters:
    `reaction` - PluginReaction

### removeReaction

    public void removeReaction(PluginReaction reaction)

  Removes the given PluginReaction from the list.

  Parameters:
    `reaction` - PluginReaction

### removeReaction

    public void removeReaction(java.lang.String id)

  Removes the PluginReaction with the given id from the list.

  Parameters:
    `id` -

### removeReaction

    public void removeReaction(int index)

  Removes the PluginReaction with the given index from the list.

  Parameters:
    `index` -

### getReaction

    public PluginReaction getReaction(int index)

  Gets the PluginReaction with the given index.

  Parameters:
    `index` -
  Returns:
    PluginReaction

### getReaction

    public PluginReaction getReaction(java.lang.String id)

  Gets the PluginReaction with the given id.

  Parameters:
    `id` -
  Returns:
    PluginReaction

### addEvent

    public void addEvent(PluginEvent event)

  Adds the PluginEvent to the list.

  Parameters:
    `event` - PluginEvent

### removeEvent

    public void removeEvent(PluginEvent event)

  Removes the given PluginEvent from the list.

  Parameters:
    `event` - PluginEvent

### removeEvent

    public void removeEvent(java.lang.String id)

  Remove the PluginEvent with the given id.

  Parameters:
    `id` -

### removeEvent

    public void removeEvent(int index)

  Removes the PluginEvent with the given index.

  Parameters:
    `index` -

### getEvent

    public PluginEvent getEvent(int index)

  Gets the PluginEvent with the given index.

  Parameters:
    `index` -
  Returns:
    PluginEvent

### getEvent

    public PluginEvent getEvent(java.lang.String id)

  Gets the PluginEvent with the given id.

  Parameters:
    `id` -
  Returns:
    PluginEvent

### addParameter

    public void addParameter(PluginParameter parameter)

  Adds the PluginParameter to the list.

  Parameters:
    `parameter` - PluginParameter

### removeParameter

    public void removeParameter(PluginParameter parameter)

  Remove the given PluginParameter from the list.

  Parameters:
    `parameter` - PluginParameter

### removeParameter

    public void removeParameter(java.lang.String id)

  Remove the PluginParameter with the given id.

  Parameters:
    `id` -

### removeParameter

    public void removeParameter(int index)

  Removes the PluginParameter with the given index to the list.

  Parameters:
    `index` -

### getParameter

    public PluginParameter getParameter(int index)

  Gets the PluginParameter with the given index.

  Parameters:
    `index` -
  Returns:
    PluginParameter

### getParameter

    public PluginParameter getParameter(java.lang.String id)

  Gets the PluginParameter with the given id.

  Parameters:
    `id` -
  Returns:
    PluginParameter

### addFunctionDefinition

    public void addFunctionDefinition(PluginFunctionDefinition function)

  Adds a PluginFunctionDefinition to the list.

  Parameters:
    `function` - PluginFunctionDefinition.

### removeFunctionDefinition

    public void removeFunctionDefinition(PluginFunctionDefinition function)

  Removes the given PluginFunctionDefinition from the list.

  Parameters:
    `function` -

### removeFunctionDefinition

    public void removeFunctionDefinition(java.lang.String id)

  Removes the PluginFunctionDefinition with the given id from the list.

  Parameters:
    `id` -

### removeFunctionDefinition

    public void removeFunctionDefinition(int index)

  Removes the PluginFunctionDefinition with the given index from the list.

  Parameters:
    `index` - PluginFunctionDefinition

### getFunctionDefinition

    public PluginFunctionDefinition getFunctionDefinition(int index)

  Gets the PluginFunctionDefinition with the given index.

  Parameters:
    `index` -
  Returns:
    PluginFunctionDefinition

### getFunctionDefinition

    public PluginFunctionDefinition getFunctionDefinition(java.lang.String id)

  Gets the PluginFunctionDefinition with the given id.

  Parameters:
    `id` -
  Returns:
    PluginFunctionDefinition

### addRule

    public void addRule(PluginRule rule)

  Adds a PluginRule to the list.

  Parameters:
    `rule` -

### removeRule

    public void removeRule(PluginRule rule)

  Removes the given PluginRule from the list.

  Parameters:
    `rule` - PluginRule

### removeRule

    public void removeRule(int index)

  Removes the PluginRule with the given index from the list.

  Parameters:
    `index` -

### getRule

    public PluginRule getRule(int index)

  Gets the PluginRule with the given index from the list.

  Parameters:
    `index` -
  Returns:
    PluginRule

### addUnitDefinition

    public void addUnitDefinition(PluginUnitDefinition unit)

  Adds a PluginUnitDefinition to the list.

  Parameters:
    `unit` -

### removeUnitDefinition

    public void removeUnitDefinition(PluginUnitDefinition unit)

  Remove the given PluginUnitDefinition from the list.

  Parameters:
    `unit` - PluginUnitDefinition

### removeUnitDefinition

    public void removeUnitDefinition(java.lang.String id)

  Removes the PluginUnitDefinition with the given id from the list.

  Parameters:
    `id` -

### removeUnitDefinition

    public void removeUnitDefinition(int index)

  Remove the PluginUnitDefinition with the given index from the list.

  Parameters:
    `index` -

### getUnitDefinition

    public PluginUnitDefinition getUnitDefinition(int index)

  Gets the PluginUnitDefinition with the given index.

  Parameters:
    `index` -
  Returns:
    PluginUnitDefinition

### getUnitDefinition

    public PluginUnitDefinition getUnitDefinition(java.lang.String id)

  Gets the PluginUnitDefinition with the given id.

  Parameters:
    `id` -
  Returns:
    PluginUnitDefinition

### addSpeciesType

    public void addSpeciesType(PluginSpeciesType speciesType)

### removeSpeciesType

    public void removeSpeciesType(PluginSpeciesType speciesType)

### removeSpeciesType

    public void removeSpeciesType(java.lang.String id)

### removeSpeciesType

    public void removeSpeciesType(int index)

### getSpeciesType

    public PluginSpeciesType getSpeciesType(int index)

### getSpeciesType

    public PluginSpeciesType getSpeciesType(java.lang.String id)

### addCompartmentType

    public void addCompartmentType(PluginCompartmentType compartmentType)

### removeCompartmentType

    public void removeCompartmentType(PluginCompartmentType compartmentType)

### removeCompartmentType

    public void removeCompartmentType(java.lang.String id)

### removeCompartmentType

    public void removeCompartmentType(int index)

### getCompartmentType

    public PluginCompartmentType getCompartmentType(int index)

### getCompartmentType

    public PluginCompartmentType getCompartmentType(java.lang.String id)

### addInitialAssignment

    public void addInitialAssignment(PluginInitialAssignment initialAssignment)

### removeInitialAssignment

    public void removeInitialAssignment(PluginInitialAssignment initialAssignment)

### removeInitialAssignment

    public void removeInitialAssignment(java.lang.String symbol)

### removeInitialAssignment

    public void removeInitialAssignment(int index)

### getInitialAssignment

    public PluginInitialAssignment getInitialAssignment(int index)

### getInitialAssignment

    public PluginInitialAssignment getInitialAssignment(java.lang.String symbol)

### addConstraint

    public void addConstraint(PluginConstraint constraint)

### removeConstraint

    public void removeConstraint(PluginConstraint constraint)

### removeConstraint

    public void removeConstraint(java.lang.String strMath)

### removeConstraint

    public void removeConstraint(int index)

### getConstraint

    public PluginConstraint getConstraint(int index)

### getConstraint

    public PluginConstraint getConstraint(java.lang.String strMath)

### getNumSpecies

    public int getNumSpecies()

  Returns:
    the number of PluginSpecies of this PluginModel.

### getNumReactions

    public int getNumReactions()

  Returns:
    the number of PluginReaction of this PluginModel.

### getNumCompartments

    public int getNumCompartments()

  Returns:
    the number of PluginCompartment of this PluginModel.

### getNumEvents

    public int getNumEvents()

  Returns:
    the number of PluginEvent of this PluginModel.

### getNumParameters

    public int getNumParameters()

  Returns:
    the number of PluginParameter of this PluginModel.

### getNumFunctionDefinitions

    public int getNumFunctionDefinitions()

  Returns:
    the number of PluginFunctionDefinition of this PluginModel

### getNumRules

    public int getNumRules()

  Returns:
    the number of PluginRule of this PluginModel.

### getNumUnitDefinitions

    public int getNumUnitDefinitions()

  Returns:
    the number of PluginUnitDefinition of this PluginModel.

### getNumSpeciesTypes

    public int getNumSpeciesTypes()

### getNumCompartmentTypes

    public int getNumCompartmentTypes()

### getNumInitialAssignments

    public int getNumInitialAssignments()

### getNumConstraints

    public int getNumConstraints()

### getAntiSenseRNA

    public PluginAntiSenseRNA getAntiSenseRNA(java.lang.String id)

  Gets the PluginAntiSenseRNA with the given id.

  Parameters:
    `id` -
  Returns:
    PluginAntiSenseRNA

### getListOfAntiSenseRNAs

    public PluginListOf getListOfAntiSenseRNAs()

  Returns:
    the list of PluginAntiSenseRNA

### getListOfSpecies

    public PluginListOf getListOfSpecies(PluginAntiSenseRNA rna)

  Returns:
    the list of PluginAntiSenseRNA

### setListOfAntiSenseRNAs

    public void setListOfAntiSenseRNAs(PluginListOf listOfAntiSenseRNAs)

  Sets the list of PluginAntiSenseRNA of this PluginModel.

  Parameters:
    `listOfAntiSenseRNAs` - the list of PluginAntiSenseRNA

### removeAntiSenseRNA

    public void removeAntiSenseRNA(PluginAntiSenseRNA rna)

  Removes the given PluginAntiSenseRNA from the list.

  Parameters:
    `rna` - PluginAntiSenseRNA

### removeAntiSenseRNA

    public void removeAntiSenseRNA(int index)

  Removes the PluginAntiSenseRNA with the given index from the list.

  Parameters:
    `index` -

### getGene

    public PluginGene getGene(java.lang.String id)

  Gets the PluginGene with the given id.

  Parameters:
    `id` -
  Returns:

### getListOfGenes

    public PluginListOf getListOfGenes()

  Returns:
    the list of PluginGene.

### getListOfSpecies

    public PluginListOf getListOfSpecies(PluginGene rna)

  Returns:
    the list of PluginGene

### setListOfGenes

    public void setListOfGenes(PluginListOf listOfGenes)

  Sets the list of PluginGene of this PluginModel.

  Parameters:
    `listOfGenes` - a list of PluginGene

### removeGene

    public void removeGene(PluginGene rna)

  Removes the given PluginGene from the list.

  Parameters:
    `rna` - PluginGene

### removeGene

    public void removeGene(int index)

  Removes the PluginGene with the given index from the list.

  Parameters:
    `index` -

### appendProtein

    public void appendProtein(PluginProtein protein)

  Adds the PluginProtein to the list.

  Parameters:
    `protein` - PluginProtein

### getProtein

    public PluginProtein getProtein(java.lang.String id)

  Gets the PluginProtein with the given id.

  Parameters:
    `id` -
  Returns:
    PluginProtein

### getListOfProteins

    public PluginListOf getListOfProteins()

  Returns:
    the list of PluginProtein

### getListOfSpecies

    public PluginListOf getListOfSpecies(PluginProtein rna)

  Gets the list of PluginProtein added the given PluginProtein to.

  Parameters:
    `rna` - PluginProtein
  Returns:
    the list of PluginProtein

### setListOfProteins

    public void setListOfProteins(PluginListOf listOfProteins)

  Sets the list of PluginProtein of this PluginModel.

  Parameters:
    `listOfProteins` - the list of PluginProtein

### removeProtein

    public void removeProtein(PluginProtein rna)

  Removes the given PluginProtein from the list.

  Parameters:
    `rna` - PluginProtein

### removeProtein

    public void removeProtein(int index)

  Removes the PluginProtein with the given index.

  Parameters:
    `index` -

### getRNA

    public PluginRNA getRNA(java.lang.String id)

  Gets the PluginRNA with the given id.

  Parameters:
    `id` -
  Returns:
    PluginRNA

### getListOfRNAs

    public PluginListOf getListOfRNAs()

  Returns:
    the list of PluginRNA

### getListOfSpecies

    public PluginListOf getListOfSpecies(PluginRNA rna)

  Returns:
    the list of PluginRNA

### setListOfRNAs

    public void setListOfRNAs(PluginListOf listOfRNAs)

  Sets the list of PluginRNA of this PluginModel.

### removeRNA

    public void removeRNA(PluginRNA rna)

  Adds a PluginRNA to the list

  Parameters:
    `rna` - PluginRNA

### removeRNA

    public void removeRNA(int index)

  Removes the PluginRNA with the given index from the list.

  Parameters:
    `index` -

### getListOfAllSpeciesAlias

    public PluginListOf getListOfAllSpeciesAlias()

  Returns:
    the list of PluginSpeciesAlias.

### getPluginSpeciesAlias

    public PluginSpeciesAlias getPluginSpeciesAlias(java.lang.String aliasID)

  Gets PluginSpeciesAlias with the given id.

  Parameters:
    `aliasID` -
  Returns:
    PluginSpeciesAlias

### getListOfAllSpeciesAlias

    public PluginListOf getListOfAllSpeciesAlias(java.lang.String speciesid)

### isReferenceSameModel

    public boolean isReferenceSameModel(PluginSBase any)

### isSameModel

    public boolean isSameModel(Model any)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD